<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];		

include("../conex.php");                   //34
$cliente=$_POST["txtrut"];
$id_bodega=1;
$comproban="";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Cuenta Corriente</title>
<script type="text/javascript" src="../css/validarut.js"></script>
<script language="javascript" src="../css/cal.js" type="text/javascript"></script>


<style type="text/css">
<!--
body {
	background-color: #CCCCCC;
	margin-left: 0px;
	margin-top: 3px;
	margin-right: 0px;
	margin-bottom: 0px;
}
select {
	clear: right;
	float: left;
	height: auto;
	width: 267px;
}
-->
</style></head>

</head>

<body alink="CCCCCC" link="CCCCCC" vlink="CCCCCC">
<div align="center">
<?
$fecha = date('d')."/".date('m')."/".date('Y');
if ($cliente != '')
{
$cons = mysql_query("SELECT * FROM nombres WHERE rut='$cliente'", $enlace);
$cont=0;
while ( mysql_fetch_object ($cons) )
	$nombres = mysql_result($cons, $cont, "razon_social");

?>
  <p>Ingreso Caja <?=$nombres;?></p>		  
  <form id="form1" name="form1" method="post" action="">
  
    <table border="1" width="626" align="center" cellpadding="1" cellspacing="0">
	<tr>
<td width="102" align="center">
		  <input name="fecha" id="fecha" type="text" style="border-width:0; background-color:#CCCCCC; text-align:right" align="right" value="<?=$fecha?>" size="7" readonly="1">
		<a  href="javascript:show_calendar('form1.fecha');"><img name="foto2" id="foto2" align="top" border="0" src="../Images/CALENDAR.gif" style="cursor:pointer" title="Presione aqui y seleccione la fecha" /></a></td>
        <td width="261" align="center">   Num.Comprobante
	  <input name="comproban" id="comproban" type="text"  value="<?=$comproban?>" onBlur="compruebanum()" > </td>
       	<td width="249" align="center">
       
	  <?
			$sql_umed ="SELECT id, nombres  FROM vendedor  ORDER BY nombres ASC";
			$res_umed = mysql_query($sql_umed,$enlace);
			$contb=0;
			?>
         <select name="lstvendedor" id="lstvendedor" style="width:220px"  >
           <option value="0" selected="selected">Seleccione Cobrador</option>
           <?
			  while (mysql_fetch_object ($res_umed))
				{
				$sql_umed_cod = mysql_result($res_umed, $contb, "id");
				$sql_umed_nom = mysql_result($res_umed, $contb, "nombres");
				
			?>
           <option value="<?=$sql_umed_cod?>"><? echo $sql_umed_nom;?></option>
           <?
				$contb = $contb+1;
			}
			?>
         </select>
         </td>
     </tr>
   
    </table>
        
    <table border="1" width="626" align="center" cellpadding="1" cellspacing="0">
	<tr>
		<td width="47"><div align="center">Sel.</div></td>
        <td width="97"><div align="center">Fecha</div></td>
        <td width="86"><div align="center">Vence</div></td>
        <td width="230"><div align="center">Factura (Saldo)</div></td>
		<td width="144"><div align="center">Pagar ($)</div></td>
	</tr>
<?
			$cons_empresa = mysql_query("SELECT * FROM salida, tipo_dcto, tipo_pago WHERE rut_cliente='$cliente' AND pagada <> total AND tipo_pago.descripcion='CREDITO' AND salida.tipo_pago=tipo_pago.id AND (salida.tipo_dcto=2 or salida.tipo_dcto=6 or salida.tipo_dcto=7 OR salida.tipo_dcto=33 or salida.tipo_dcto=56 or salida.tipo_dcto=61) AND salida.tipo_dcto=tipo_dcto.id AND salida.empresa=$id_empresa  ORDER BY fecha_vencimiento;", $enlace);
 			$cont=0;
			while ( mysql_fetch_object ($cons_empresa) ) 
 			{
			$ides=mysql_result($cons_empresa, $cont, "id");
			$factor=mysql_result($cons_empresa, $cont, "factor");
  			$nombres=mysql_result($cons_empresa, $cont, "num_dcto");
			$fechax=mysql_result($cons_empresa, $cont, "fecha_emision");
			$fecha_e=$fechax[8].$fechax[9]."-".$fechax[5].$fechax[6]."-".$fechax[0].$fechax[1].$fechax[2].$fechax[3];
			$fechax=mysql_result($cons_empresa, $cont, "fecha_vencimiento");
			$fecha_v=$fechax[8].$fechax[9]."-".$fechax[5].$fechax[6]."-".$fechax[0].$fechax[1].$fechax[2].$fechax[3];
			$tipo_documento=mysql_result($cons_empresa, $cont, "tipo_dcto.descripcion");
			$saldo=$factor*(mysql_result($cons_empresa, $cont, "total") - mysql_result($cons_empresa, $cont, "pagada"));
			$saldo2=$saldo;
			$saldo=number_format($saldo,0,',','.');
			$cont = $cont + 1;
			?>
	<tr>
		  <td align="center"><div align="center">
		    <input name="chid[<?=$cont;?>]" id="chid[<?=$cont;?>]" type="checkbox" style="visibility:hidden" value="<?=$ides?>" >
			<input name="chpago[<?=$cont;?>]" id="chpago[<?=$cont;?>]" type="checkbox" onClick="fun_suma_facturas('<?=$cont;?>');" value="<?=$saldo2?>" />
		  </div></td>
	    <td align="center">
	      <div align="left">
		      <?=$fecha_e;?>
        </div></td>
             <td align="center">
		    <div align="left">
		      <?=$fecha_v;?>
             </div></td>
		  <td align="center">
		    <div align="left">
		      <?="$tipo_documento Nº $nombres ($".$saldo.")";?>
            </div></td><td><div align="center">
          <input name="cantidad[<?=$cont;?>]" type="text" class="textboxnormal" id="cantidad[<?=$cont;?>]" style="width:90%; text-align:right" maxlength="12"  onkeypress="return valida(event);" onBlur="fun_suma_facturas2('<?=$cont;?>');"/>
        </div></td>
      </tr>
 			<?
  				
 			}
			
			?>
      
	  	<tr>
		<td><div align="center">&nbsp;</div></td>
        <td><div align="center">&nbsp;</div></td>
        <td><div align="center">&nbsp;</div></td>
        <td><div align="left">Total</div></td>
		<td><div align="center"><input name="txttotalfac" type="text" class="textboxnormal" id="txttotalfac" style="width:90%; text-align:right" maxlength="20" readonly="1"></div></td>
	</tr>
   
    </table>
<table width="400px" border="0">
    <tr>
        <td width="100px"><div align="left">Detalle de pago: </div></td>
        <td><div align="right">
        	<input name="txtdescripcion" type="text" class="textboxnormal" id="txtdescripcion" style="width:100%; text-align:left" maxlength="100">
		</div></td>
    </tr>
</table>
<table width="400px" border="0">
    <tr>
        <td width="110px"><div align="left">Forma De Pago: </div></td>
        <td><div align="right">
	       	<select name="lstfp" id="lstfp" style="width:290px;" onChange="valida_cheque();">
			  <option value="0" selected="selected">SELECCIONE FORMA DE PAGO</option>
			  <option value="1">CHEQUE</option>
				<option value="2">CONTADO</option>
                  <option value="3">TRANSFERENCIA</option>
			</select>
		</div></td>
    </tr>
</table>
    <table width="200" border="0">
      <tr>
        <td><div align="center">
          <input type="button" name="Submit" value="Grabar/Continuar" onClick="valida_pago();"/>
        </div></td>
      </tr>
    </table>


	<input type="textfield" id="txtval" style="visibility:hidden" size="1" readonly="0" value="0" name="txtval"/>
    <input type="textfield" id="id_bodega" style="visibility:hidden" size="1" readonly="0" value="<?=$id_bodega;?>" name="id_bodega"   />
    <input type="textfield" id="txtidpago" style="visibility:hidden" size="1" readonly="0"  name="txtidpago" value="0"/>
	<input type="textfield" id="txtrutc" style="visibility:hidden" size="1" readonly="1" value="<?=$cliente;?>" name="txtrutc" />
	<input type="textfield" id="txtcantidadp" style="visibility:hidden" size="1" readonly="1" value="<?=$cont;?>" name="txtcantidadp"
     />
  </form>
 
</div>
<?
  }
?>
</body>
</html>

<script language="javascript">
    
var nav4 = window.Event ? true : false;
<!-- Ingreso solo numeros y k K - . -->
function valida(evt){
var key = nav4 ? evt.which : evt.keyCode;
return (key <= 13 || (key >= 48 && key <= 57));
}

<!-- Ingreso solo letras -->

function validal(evt){
var key = nav4 ? evt.which : evt.keyCode;
return (key <= 13 || (key >= 65 && key <= 90) || (key >= 97 && key <= 122) || (key == 32));
}

function enviar()
	{
	document.form1.txtcantidadp.value='<?=$cont;?>';
	document.form1.target = "_self";
	document.form1.action = "ingreso_caja.php";
	document.form1.submit();
	}



function fun_suma_facturas(donde)
	{
	var jscantidad,jsi,jstotal;
	jscantidad=<?=$cont?>;
	jstotal=0;
	if (document.getElementById("chpago["+donde+"]").checked==true)
		{
		document.getElementById("cantidad["+donde+"]").value = document.getElementById("chpago["+donde+"]").value;
		document.getElementById("chid["+donde+"]").checked=true;
		}
	else
		{
		document.getElementById("cantidad["+donde+"]").value = 0;
		document.getElementById("chid["+donde+"]").checked=false;
		}
	for (jsi=1;jsi<=jscantidad;jsi++)
		{
		if (document.getElementById("chpago["+jsi+"]").checked==true)
			{
			jstotal+=Number(document.getElementById("cantidad["+jsi+"]").value);
			}
		}
		document.form1.txttotalfac.value=jstotal;
	}
function fun_suma_facturas2(donde)
	{
	var jscantidad,jsi,jstotal;
	jscantidad=<?=$cont?>;
	jstotal=0;
	if (document.getElementById("chpago["+donde+"]").checked==true)
		{
		if (Number(document.getElementById("cantidad["+donde+"]").value)>Number(document.getElementById("chpago["+donde+"]").value))
			{
			alert ("El pago del documento es mayor al correspondiente");
			document.getElementById("cantidad["+donde+"]").value=document.getElementById("chpago["+donde+"]").value;
			}
		}
	else
		{
		document.getElementById("cantidad["+donde+"]").value = 0;
		}
		
	for (jsi=1;jsi<=jscantidad;jsi++)
		{
		if (document.getElementById("chpago["+jsi+"]").checked==true)
			{
			jstotal+=Number(document.getElementById("cantidad["+jsi+"]").value);
			}
		}
		document.form1.txttotalfac.value=jstotal;
	}

</script>

<script language="javascript" type="text/javascript">
function cerrar()
	{
	window.top.open('','_parent','');window.top.close();
	}
function valida_pago()
	{
	var answer = confirm ("¿Seguro que desea guardar?");
			if (answer)
				{
	
	if (document.form1.txttotalfac.value!='' && document.form1.lstfp.value!=0  && document.form1.comproban.value!=''  && document.form1.lstvendedor.value!=0 )
		{
		if (document.form1.lstfp.value==1)
			{
			valida_cheque();
			}
		else if ((document.form1.lstfp.value==2) || (document.form1.lstfp.value==3))
			{
			enviar();
			}
		}
	else
		{
		comprueba_datos();
		}
      }
	  else
	  {
	  return false
	  }
	}
function ingresa_cheques()
	{
	win = window.open('icheque.php','AGENDA2','width=800,height=480,status=no,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=100,left=300');
	document.form1.action = 'icheque.php';
	document.form1.target='AGENDA2';
	document.form1.submit();
	}
	
	
function valida_cheque()
	{
	
	
	if (document.form1.lstfp.value==1)
		{
		
		if (document.form1.txttotalfac.value=='' || document.form1.txttotalfac.value==0 || document.form1.comproban.value==''  || document.form1.lstvendedor.value==0 )	
			{
			alert("Faltan datos revisar ingreso...");
			document.form1.lstfp.value=0;
			return false
			}
    			
		else
			{
			win = window.open('fpcheque.php','AGENDA','width=320,height=240,status=no,menubar=no,scrollbars=no,toolbar=no,location=no,directories=no,resizable=no,top=100,left=300');
			document.form1.action = 'fpcheque.php';
			document.form1.target='AGENDA';
			document.form1.submit();
			}
		}
	}
	
function PopWindow(pagina)
	
		{
		window.open(pagina,'TEST','width=100,height=100,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
		}
		
function compruebanum()
	{
	if (document.form1.comproban.value!='') PopWindow('compruebanum.php?num='+document.form1.comproban.value);
	}
	
function comprueba_datos()	
	{
	if (document.form1.lstfp.value==0)
			{
			alert ("Seleccione Forma de Pago")
			return false;
			}
	if (document.form1.txttotalfac.value == '' || document.form1.txttotalfac.value==0)		
			{
			alert("Ingrese Monto a Pagar");
			return false
			}
	if (document.form1.comproban.value == '' || document.form1.comproban.value==0)		
			{
			alert("Ingrese Comprobante");
			return false
			}
	if (document.form1.lstvendedor.value == '' || document.form1.lstvendedor.value==0)		
			{
			alert("Ingrese Vendedor");
			return false
			}
	
	}
	
</script>